com.beaglebuddy.id3.enums

## Enum Genre

- java.lang.Object
- - java.lang.Enum<Genre>
  - - com.beaglebuddy.id3.enums.Genre

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Genre>

      public enum Genre
      extends java.lang.Enum<Genre>

  standard ID3v2.x genres.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A_CAPELA` A Capela
    `ACID` Acid
    `ACID_JAZZ` Acid Jazz
    `ACID_PUNK` Acid Punk
    `ACOUSTIC` Acoustic
    `ALTERNATIVE` Alternative
    `ALTERNATIVE_ROCK` AlternRock
    `AMBIENT` Ambient
    `ANIME` Anime
    `AVANTGARDE` Avantgarde
    `BALLAD` Ballad
    `BASS` Bass
    `BEAT` Beat
    `BEBOB` Bebob
    `BIG_BAND` Big Band
    `BLACK_METAL` Black Metal
    `BLUEGRASS` Bluegrass
    `BLUES` Blues
    `BOOTY_BRASS` Booty Brass
    `BRITPOP` British Pop
    `CABARET` Cabaret
    `CELTIC` Celtic
    `CHAMBER_MUSIC` Chamber Music
    `CHANSON` Chanson
    `CHORUS` Chorus
    `CHRISTIAN_GANGSTA` Christian Gangsta
    `CHRISTIAN_RAP` Christian Rap
    `CHRISTIAN_ROCK` Christian Rock
    `CLASSIC_ROCK` Classic Rock
    `CLASSICAL` Classical
    `CLUB` Club
    `CLUB_HOUSE` Club-House
    `COMEDY` Comedy
    `CONTEMPORARY_C` Contemporary C
    `COUNTRY` Country
    `COVER` Cover
    `CROSSOVER` Crossover
    `CULT` Cult
    `DANCE` Dance
    `DANCE_HALL` Dance Hall
    `DARKWAVE` Darkwave
    `DEATH_METAL` Death Metal
    `DISCO` Disco
    `DREAM` Dream
    `DRUM_AND_BASS` Drum & Bass
    `DRUM_SOLO` Drum Solo
    `DUET` Duet
    `EASY_LISTENING` Easy Listening
    `ELECTRONIC` Electronic
    `ETHNIC` Ethnic
    `EURO_HOUSE` Euro-House
    `EURO_TECHNO` Euro-Techno
    `EURODANCE` Eurodance
    `FAST_FUSION` Fast Fusion
    `FOLK` Folk
    `FOLK_ROCK` Folk-Rock
    `FOLKLORE` Folklore
    `FREESTYLE` Freestyle
    `FUNK` Funk
    `FUSION` Fusion
    `GAME` Game
    `GANGSTA` Gangsta
    `GOA` Goa
    `GOSPEL` Gospel
    `GOTHIC` Gothic
    `GOTHIC_ROCK` Gothic Rock
    `GRUNGE` Grunge
    `HARD_ROCK` Hard Rock
    `HARDCORE` Hardcore
    `HEAVY_METAL` Heavy Metal
    `HIP_HOP` Hip-Hop
    `HOUSE` House
    `HUMOUR` Humour
    `INDIE` Indie
    `INDUSTRIAL` Industrial
    `INSTRUMENTAL` Instrumental
    `INSTRUMENTAL_POP` Instrumental Pop
    `INSTRUMENTAL_ROCK` Instrumental Rock
    `JAZZ` Jazz
    `JAZZ_FUNK` Jazz+Funk
    `JPOP` JPop
    `JUNGLE` Jungle
    `LATIN` Latin
    `LO_FI` Lo-Fi
    `MEDITATIVE` Meditative
    `MERENGUE` Merengue
    `METAL` Metal
    `MUSICAL` Musical
    `NATIONAL_FOLK` National Folk
    `NATIVE_AMERICAN` Native American
    `NEGERPUNK` Negerpunk
    `NEW_AGE` New Age
    `NEW_WAVE` New Wave
    `NOISE` Noise
    `OLDIES` Oldies
    `OPERA` Opera
    `OTHER` Other
    `POLKA` Polka
    `POLSK_PUNK` Polsk Punk
    `POP` Pop
    `POP_FOLK` Pop-Folk
    `POP_FUNK` Pop/Funk
    `PORN_GROOVE` Porn Groove
    `POWER_BALLAD` Power Ballad
    `PRANKS` Pranks
    `PRIMUS` Primus
    `PROGRESSIVE_ROCK` Progressive Rock
    `PSYCHADELIC` Psychadelic
    `PSYCHEDELIC_ROCK` Psychedelic Rock
    `PUNK` Punk
    `PUNK_ROCK` Punk Rock
    `R_AND_B` R&B
    `RAP` Rap
    `RAVE` Rave
    `REGGAE` Reggae
    `REMIX` Remix
    `RETRO` Retro
    `REVIVAL` Revival
    `RHYTMIC_SOUL` Rhytmic Soul
    `ROCK` Rock
    `ROCK_N_ROLL` Rock & Roll
    `SALSA` Salsa
    `SAMBA` Samba
    `SATIRE` Satire
    `SHOWTUNES` Showtunes
    `SKA` Ska
    `SLOW_JAM` Slow Jam
    `SLOW_ROCK` Slow Rock
    `SONATA` Sonata
    `SOUL` Soul
    `SOUND_CLIP` Sound Clip
    `SOUNDTRACK` Soundtrack
    `SOUTHERN_ROCK` Southern Rock
    `SPACE` Space
    `SPEECH` Speech
    `SWING` Swing
    `SYMPHONIC_ROCK` Symphonic Rock
    `SYMPHONY` Symphony
    `SYNTH_POP` SynthPop
    `TANGO` Tango
    `TECHNO` Techno
    `TECHNO_INDUSTRIAL` Techno-Industrial
    `TERROR` Terror
    `THRASH_METAL` Thrash Metal
    `TOP_40` Top 40
    `TRAILER` Trailer
    `TRANCE` Trance
    `TRIBAL` Tribal
    `TRIP_HOP` Trip-Hop
    `VOCAL` Vocal

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Genre` | `getGenre(byte genre)` converts an integral value to its corresponding genre enum.
    `java.lang.String` | `getName()` return the name of the genre.
    `java.lang.String` | `toString()` gets a string representation of the genre enum.
    `static Genre` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Genre[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLUES

          public static final Genre BLUES

      Blues

    - #### CLASSIC_ROCK

          public static final Genre CLASSIC_ROCK

      Classic Rock

    - #### COUNTRY

          public static final Genre COUNTRY

      Country

    - #### DANCE

          public static final Genre DANCE

      Dance

    - #### DISCO

          public static final Genre DISCO

      Disco

    - #### FUNK

          public static final Genre FUNK

      Funk

    - #### GRUNGE

          public static final Genre GRUNGE

      Grunge

    - #### HIP_HOP

          public static final Genre HIP_HOP

      Hip-Hop

    - #### JAZZ

          public static final Genre JAZZ

      Jazz

    - #### METAL

          public static final Genre METAL

      Metal

    - #### NEW_AGE

          public static final Genre NEW_AGE

      New Age

    - #### OLDIES

          public static final Genre OLDIES

      Oldies

    - #### OTHER

          public static final Genre OTHER

      Other

    - #### POP

          public static final Genre POP

      Pop

    - #### R_AND_B

          public static final Genre R_AND_B

      R&B

    - #### RAP

          public static final Genre RAP

      Rap

    - #### REGGAE

          public static final Genre REGGAE

      Reggae

    - #### ROCK

          public static final Genre ROCK

      Rock

    - #### TECHNO

          public static final Genre TECHNO

      Techno

    - #### INDUSTRIAL

          public static final Genre INDUSTRIAL

      Industrial

    - #### ALTERNATIVE

          public static final Genre ALTERNATIVE

      Alternative

    - #### SKA

          public static final Genre SKA

      Ska

    - #### DEATH_METAL

          public static final Genre DEATH_METAL

      Death Metal

    - #### PRANKS

          public static final Genre PRANKS

      Pranks

    - #### SOUNDTRACK

          public static final Genre SOUNDTRACK

      Soundtrack

    - #### EURO_TECHNO

          public static final Genre EURO_TECHNO

      Euro-Techno

    - #### AMBIENT

          public static final Genre AMBIENT

      Ambient

    - #### TRIP_HOP

          public static final Genre TRIP_HOP

      Trip-Hop

    - #### VOCAL

          public static final Genre VOCAL

      Vocal

    - #### JAZZ_FUNK

          public static final Genre JAZZ_FUNK

      Jazz+Funk

    - #### FUSION

          public static final Genre FUSION

      Fusion

    - #### TRANCE

          public static final Genre TRANCE

      Trance

    - #### CLASSICAL

          public static final Genre CLASSICAL

      Classical

    - #### INSTRUMENTAL

          public static final Genre INSTRUMENTAL

      Instrumental

    - #### ACID

          public static final Genre ACID

      Acid

    - #### HOUSE

          public static final Genre HOUSE

      House

    - #### GAME

          public static final Genre GAME

      Game

    - #### SOUND_CLIP

          public static final Genre SOUND_CLIP

      Sound Clip

    - #### GOSPEL

          public static final Genre GOSPEL

      Gospel

    - #### NOISE

          public static final Genre NOISE

      Noise

    - #### ALTERNATIVE_ROCK

          public static final Genre ALTERNATIVE_ROCK

      AlternRock

    - #### BASS

          public static final Genre BASS

      Bass

    - #### SOUL

          public static final Genre SOUL

      Soul

    - #### PUNK

          public static final Genre PUNK

      Punk

    - #### SPACE

          public static final Genre SPACE

      Space

    - #### MEDITATIVE

          public static final Genre MEDITATIVE

      Meditative

    - #### INSTRUMENTAL_POP

          public static final Genre INSTRUMENTAL_POP

      Instrumental Pop

    - #### INSTRUMENTAL_ROCK

          public static final Genre INSTRUMENTAL_ROCK

      Instrumental Rock

    - #### ETHNIC

          public static final Genre ETHNIC

      Ethnic

    - #### GOTHIC

          public static final Genre GOTHIC

      Gothic

    - #### DARKWAVE

          public static final Genre DARKWAVE

      Darkwave

    - #### TECHNO_INDUSTRIAL

          public static final Genre TECHNO_INDUSTRIAL

      Techno-Industrial

    - #### ELECTRONIC

          public static final Genre ELECTRONIC

      Electronic

    - #### POP_FOLK

          public static final Genre POP_FOLK

      Pop-Folk

    - #### EURODANCE

          public static final Genre EURODANCE

      Eurodance

    - #### DREAM

          public static final Genre DREAM

      Dream

    - #### SOUTHERN_ROCK

          public static final Genre SOUTHERN_ROCK

      Southern Rock

    - #### COMEDY

          public static final Genre COMEDY

      Comedy

    - #### CULT

          public static final Genre CULT

      Cult

    - #### GANGSTA

          public static final Genre GANGSTA

      Gangsta

    - #### TOP_40

          public static final Genre TOP_40

      Top 40

    - #### CHRISTIAN_RAP

          public static final Genre CHRISTIAN_RAP

      Christian Rap

    - #### POP_FUNK

          public static final Genre POP_FUNK

      Pop/Funk

    - #### JUNGLE

          public static final Genre JUNGLE

      Jungle

    - #### NATIVE_AMERICAN

          public static final Genre NATIVE_AMERICAN

      Native American

    - #### CABARET

          public static final Genre CABARET

      Cabaret

    - #### NEW_WAVE

          public static final Genre NEW_WAVE

      New Wave

    - #### PSYCHADELIC

          public static final Genre PSYCHADELIC

      Psychadelic

    - #### RAVE

          public static final Genre RAVE

      Rave

    - #### SHOWTUNES

          public static final Genre SHOWTUNES

      Showtunes

    - #### TRAILER

          public static final Genre TRAILER

      Trailer

    - #### LO_FI

          public static final Genre LO_FI

      Lo-Fi

    - #### TRIBAL

          public static final Genre TRIBAL

      Tribal

    - #### ACID_PUNK

          public static final Genre ACID_PUNK

      Acid Punk

    - #### ACID_JAZZ

          public static final Genre ACID_JAZZ

      Acid Jazz

    - #### POLKA

          public static final Genre POLKA

      Polka

    - #### RETRO

          public static final Genre RETRO

      Retro

    - #### MUSICAL

          public static final Genre MUSICAL

      Musical

    - #### ROCK_N_ROLL

          public static final Genre ROCK_N_ROLL

      Rock & Roll

    - #### HARD_ROCK

          public static final Genre HARD_ROCK

      Hard Rock

    - #### FOLK

          public static final Genre FOLK

      Folk

    - #### FOLK_ROCK

          public static final Genre FOLK_ROCK

      Folk-Rock

    - #### NATIONAL_FOLK

          public static final Genre NATIONAL_FOLK

      National Folk

    - #### SWING

          public static final Genre SWING

      Swing

    - #### FAST_FUSION

          public static final Genre FAST_FUSION

      Fast Fusion

    - #### BEBOB

          public static final Genre BEBOB

      Bebob

    - #### LATIN

          public static final Genre LATIN

      Latin

    - #### REVIVAL

          public static final Genre REVIVAL

      Revival

    - #### CELTIC

          public static final Genre CELTIC

      Celtic

    - #### BLUEGRASS

          public static final Genre BLUEGRASS

      Bluegrass

    - #### AVANTGARDE

          public static final Genre AVANTGARDE

      Avantgarde

    - #### GOTHIC_ROCK

          public static final Genre GOTHIC_ROCK

      Gothic Rock

    - #### PROGRESSIVE_ROCK

          public static final Genre PROGRESSIVE_ROCK

      Progressive Rock

    - #### PSYCHEDELIC_ROCK

          public static final Genre PSYCHEDELIC_ROCK

      Psychedelic Rock

    - #### SYMPHONIC_ROCK

          public static final Genre SYMPHONIC_ROCK

      Symphonic Rock

    - #### SLOW_ROCK

          public static final Genre SLOW_ROCK

      Slow Rock

    - #### BIG_BAND

          public static final Genre BIG_BAND

      Big Band

    - #### CHORUS

          public static final Genre CHORUS

      Chorus

    - #### EASY_LISTENING

          public static final Genre EASY_LISTENING

      Easy Listening

    - #### ACOUSTIC

          public static final Genre ACOUSTIC

      Acoustic

    - #### HUMOUR

          public static final Genre HUMOUR

      Humour

    - #### SPEECH

          public static final Genre SPEECH

      Speech

    - #### CHANSON

          public static final Genre CHANSON

      Chanson

    - #### OPERA

          public static final Genre OPERA

      Opera

    - #### CHAMBER_MUSIC

          public static final Genre CHAMBER_MUSIC

      Chamber Music

    - #### SONATA

          public static final Genre SONATA

      Sonata

    - #### SYMPHONY

          public static final Genre SYMPHONY

      Symphony

    - #### BOOTY_BRASS

          public static final Genre BOOTY_BRASS

      Booty Brass

    - #### PRIMUS

          public static final Genre PRIMUS

      Primus

    - #### PORN_GROOVE

          public static final Genre PORN_GROOVE

      Porn Groove

    - #### SATIRE

          public static final Genre SATIRE

      Satire

    - #### SLOW_JAM

          public static final Genre SLOW_JAM

      Slow Jam

    - #### CLUB

          public static final Genre CLUB

      Club

    - #### TANGO

          public static final Genre TANGO

      Tango

    - #### SAMBA

          public static final Genre SAMBA

      Samba

    - #### FOLKLORE

          public static final Genre FOLKLORE

      Folklore

    - #### BALLAD

          public static final Genre BALLAD

      Ballad

    - #### POWER_BALLAD

          public static final Genre POWER_BALLAD

      Power Ballad

    - #### RHYTMIC_SOUL

          public static final Genre RHYTMIC_SOUL

      Rhytmic Soul

    - #### FREESTYLE

          public static final Genre FREESTYLE

      Freestyle

    - #### DUET

          public static final Genre DUET

      Duet

    - #### PUNK_ROCK

          public static final Genre PUNK_ROCK

      Punk Rock

    - #### DRUM_SOLO

          public static final Genre DRUM_SOLO

      Drum Solo

    - #### A_CAPELA

          public static final Genre A_CAPELA

      A Capela

    - #### EURO_HOUSE

          public static final Genre EURO_HOUSE

      Euro-House

    - #### DANCE_HALL

          public static final Genre DANCE_HALL

      Dance Hall

    - #### GOA

          public static final Genre GOA

      Goa

    - #### DRUM_AND_BASS

          public static final Genre DRUM_AND_BASS

      Drum & Bass

    - #### CLUB_HOUSE

          public static final Genre CLUB_HOUSE

      Club-House

    - #### HARDCORE

          public static final Genre HARDCORE

      Hardcore

    - #### TERROR

          public static final Genre TERROR

      Terror

    - #### INDIE

          public static final Genre INDIE

      Indie

    - #### BRITPOP

          public static final Genre BRITPOP

      British Pop

    - #### NEGERPUNK

          public static final Genre NEGERPUNK

      Negerpunk

    - #### POLSK_PUNK

          public static final Genre POLSK_PUNK

      Polsk Punk

    - #### BEAT

          public static final Genre BEAT

      Beat

    - #### CHRISTIAN_GANGSTA

          public static final Genre CHRISTIAN_GANGSTA

      Christian Gangsta

    - #### HEAVY_METAL

          public static final Genre HEAVY_METAL

      Heavy Metal

    - #### BLACK_METAL

          public static final Genre BLACK_METAL

      Black Metal

    - #### CROSSOVER

          public static final Genre CROSSOVER

      Crossover

    - #### CONTEMPORARY_C

          public static final Genre CONTEMPORARY_C

      Contemporary C

    - #### CHRISTIAN_ROCK

          public static final Genre CHRISTIAN_ROCK

      Christian Rock

    - #### MERENGUE

          public static final Genre MERENGUE

      Merengue

    - #### SALSA

          public static final Genre SALSA

      Salsa

    - #### THRASH_METAL

          public static final Genre THRASH_METAL

      Thrash Metal

    - #### ANIME

          public static final Genre ANIME

      Anime

    - #### JPOP

          public static final Genre JPOP

      JPop

    - #### SYNTH_POP

          public static final Genre SYNTH_POP

      SynthPop

    - #### REMIX

          public static final Genre REMIX

      Remix

    - #### COVER

          public static final Genre COVER

      Cover

  - ### Method Detail

    - #### values

          public static Genre[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Genre c : Genre.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Genre valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getGenre

          public static Genre getGenre(byte genre)
                                throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding genre enum.
      Parameters:
        `genre` - integral value to be converted to a genre enum.
      Returns:
        a genre enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid genre.

    - #### getName

          public java.lang.String getName()

      return the name of the genre.
      Returns:
        thename of the genre.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the genre enum.
      Overrides:
        `toString` in class `java.lang.Enum<Genre>`
      Returns:
        a string representation of the genre enum.